OpenRTM-aist (C++) - 0 O #3889

OpenRTMConfig.cmakell rtmCamerald rtmManipulatorD D O 000000 OO0 O
2017/01/26 18:54 - n.kawauchi

googdod: og ggdog: 2017/01/26
goo: od goo:

goo: n.kawauchi goo: 100%
good: good: 0.00C O
ooooooo: RELEASE 1 2 0

oo

rtmCameral rtmManipulator0 D 000000000 COO0OOORTCOOOOOOODOOOODOOOOOOOOODOO

gooooooobonb

00000 2914 -2017/02/01 18:01 - kawauchi
[compat,->RELENG_1_2] Links of rtmCamera and rtmManipulator have been added to OpenRTMConfig.cmake. refs #3889

00000 2914 -2017/02/01 18:01 - kawauchi
[compat,->RELENG_1_2] Links of rtmCamera and rtmManipulator have been added to OpenRTMConfig.cmake. refs #3889

00000 2914 -2017/02/01 18:01 - kawauchi
[compat,->RELENG_1_2] Links of rtmCamera and rtmManipulator have been added to OpenRTMConfig.cmake. refs #3889

00000 2920-2017/02/06 14:12 - kawauchi
[compat,bugfix,->RELENG_1_2] Fixed r2914. refs #3889

00000 2920-2017/02/06 14:12 - kawauchi
[compat,bugfix,->RELENG_1_2] Fixed r2914. refs #3889

00000 2920-2017/02/06 14:12 - kawauchi
[compat,bugfix,->RELENG_1_2] Fixed r2914. refs #3889

0000g 2961 -2017/03/10 16:52 - kawauchi
[compat,->RELENG_1_2] Links of rtmCamera and rtmManipulator have been added to OpenRTMConfig.cmake. refs #3889

0000Qg 2961 -2017/03/10 16:52 - kawauchi
[compat,->RELENG_1_2] Links of rtmCamera and rtmManipulator have been added to OpenRTMConfig.cmake. refs #3889

0000Qg 2961 -2017/03/10 16:52 - kawauchi
[compat,->RELENG_1_2] Links of rtmCamera and rtmManipulator have been added to OpenRTMConfig.cmake. refs #3889

00000 3100-2017/12/10 09:10 - n-ando

merged chages from trunk/OpenRTM-aist r2913-2955 during 2017-02:

[compat,->RELENG_1_2] The installation of the rpm package of openrtm-aist-example and openrtm-aist-doc has been changed. refs #3893
[compat,->RELENG_1_2] Links of rtmCamera and rtmManipulator have been added to OpenRTMConfig.cmake. refs #3889
[compat,bugfix,->RELENG_1_2] Fixed r2914. refs #3889

[compat format,->RELENG_1_2] Indent modified.

[incompat,new func,->RELENG_1_2] Logging system now supports logstream loadable modules. refs #3567
[incompat,new func,->RELENG_1_2] A function to convert from URL parameter to map has been added.
[compat,format,->RELENG_1_2] Newline added.

[incompat,new func,->RELENG_1_2] fluent-bit logger stream has been added. refs #3567

[incompat,new func,->RELENG_1_2] fluent-bit logger stream has been added. refs #3567

[compat,->RELENG_1_2] Types have been changed because of compilation warning. refs #3902

[compat,->RELENG_1_2] Some pragmas have been added to suppress warnings. refs #3901

[compat,->RELENG_1_2] Some pragmas have been added to suppress warnings. refs #3900

[build,->RELENG_1_2] Monky include path has been added.

[prop,->RELENG_1_2] ignore Makefile.in Makefile.

[compat,->RELENG_1_2] C style cast convrted to static_cast. refs #3902

[comapt,conf_file->RELENG_1_2] fluent-bit log stream configuration example has been added rtc.conf.sample
[compat,build,->RELENG_1_2] CXXFLAGS incuding Wal+PIc—02 has-beenremoved-in-epenrtm-aistperefs #3714
feompatbuild.dist>RELENG_1_2] ClockManager.cpp was not properly included dist package.
[comapt,build,dist,->RELENG_1_2] logger ext lib is now included in dist package.

[compat,->RELENG_1_2] refs #3881

[incompat,bugfix,EC,->RELENG_1_2]Modified for OpenHRPExecutionContext. #3579

00000 3100-2017/12/10 09:10 - n-ando

merged chages from trunk/OpenRTM-aist r2913-2955 during 2017-02:

[compat,->RELENG_1_2] The installation of the rpm package of openrtm-aist-example and openrtm-aist-doc has been changed. refs #3893
[compat,->RELENG_1_2] Links of rtmCamera and rtmManipulator have been added to OpenRTMConfig.cmake. refs #3889
[compat,bugfix,->RELENG_1_2] Fixed r2914. refs #3889

[compat,format,->RELENG_1_2] Indent modified.

[incompat,new func,->RELENG_1_2] Logging system now supports logstream loadable modules. refs #3567
[incompat,new func,->RELENG_1_2] A function to convert from URL parameter to map has been added.
[compat,format,->RELENG_1_2] Newline added.

[incompat,new func,->RELENG_1_2] fluent-bit logger stream has been added. refs #3567

[incompat,new func,->RELENG_1_2] fluent-bit logger stream has been added. refs #3567

[compat,->RELENG_1_2] Types have been changed because of compilation warning. refs #3902
[compat,->RELENG_1_2] Some pragmas have been added to suppress warnings. refs #3901
[compat,->RELENG_1_2] Some pragmas have been added to suppress warnings. refs #3900

[build,->RELENG_1_2] Monky include path has been added.

[prop,->RELENG_1_2] ignore Makefile.in Makefile.

[compat,->RELENG_1_2] C style cast convrted to static_cast. refs #3902

[comapt,conf_file->RELENG_1_2] fluent-bit log stream configuration example has been added rtc.conf.sample
[compat,build,->RELENG_1_2] CXXFLAGS incuding Wal+PIc—-02 has-beenremoved-in-epenrtm-aistperefs #3714
feompatbuild.dist>RELENG_1_2] ClockManager.cpp was not properly included dist package.
[comapt,build,dist,->RELENG_1_2] logger ext lib is now included in dist package.

[compat,->RELENG_1_2] refs #3881

[incompat,bugfix,EC,->RELENG_1_2]Modified for OpenHRPExecutionContext. #3579

00000 3101-2017/12/10 09:12 - n-ando

merged changes from trunk/OpenRTM-aist r2956-2964, r2968-2973, r2977 during 2017-03:
[build,->RELENG_1_2] Add lacked include path for fluentbit_stream. refs #3974

[build,->RELENG_1_2] Add lacked include path for fluentbit_stream. refs #3974

[build,->RELENG_1_2] Add lacked library path for fluentbit_stream. refs #3979
[compat,build,->RELENG_1_2] vc15 (vc2017) has been supported.

[compat,build,->RELENG_1_2] vc15 (vc2017) has been supported.

[compat,->RELENG_1_2] Links of rtmCamera and rtmManipulator have been added to OpenRTMConfig.cmake. refs #3889
[compat,bugfix,->RELENG_1_2] Dependency on the library has been changed due to a build error in vc 2008.
[compat,bugfix,->RELENG_1_2] Fixed r2962.

[compat,bugfix,->RELENG_1_2] Modified sIntool.py

[compat,bugfix,->RELENG_1_2] Modified librtmCamera.vcproj.yaml and librtmManipulator.vcproj.yaml.
[compat,bugfix,->RELENG_1_2] Modified librtmCamera.vcproj.yaml and librtmManipulator.vcproj.yaml.
[compat,bugfix,->RELENG_1_2] Modified cmakeconfgen.py

[compat,bugfix,->RELENG_1_2] Modified librtmCamera.vcproj.yaml and librtmManipulator.vcproj.yaml.
[compat,bugfix,->RELENG_1_2] Modified librtmCamera.vcproj.yaml and librtmManipulator.vcproj.yaml.
[compat,bugfix,->RELENG_1_2] Modified cmakeconfgen.py

[build,->RELENG_1_2] Update mbedtls include path (2.4.1->2.4.2)

00000 3101-2017/12/10 09:12 - n-ando

merged changes from trunk/OpenRTM-aist r2956-2964, r2968-2973, r2977 during 2017-03:
[build,->RELENG_1_2] Add lacked include path for fluentbit_stream. refs #3974

[build,->RELENG_1_2] Add lacked include path for fluentbit_stream. refs #3974

[build,->RELENG_1_2] Add lacked library path for fluentbit_stream. refs #3979
[compat,build,->RELENG_1_2] vc15 (vc2017) has been supported.

[compat,build,->RELENG_1_2] vcl15 (vc2017) has been supported.

[compat,->RELENG_1_2] Links of rtmCamera and rtmManipulator have been added to OpenRTMConfig.cmake. refs #3889
[compat,bugfix,->RELENG_1_2] Dependency on the library has been changed due to a build error in vc 2008.
[compat,bugfix,->RELENG_1_2] Fixed r2962.

[compat,bugfix,->RELENG_1_2] Modified sIntool.py

[compat,bugfix,->RELENG_1_2] Modified librtmCamera.vcproj.yaml and librtmManipulator.vcproj.yaml.
[compat,bugfix,->RELENG_1_2] Modified librtmCamera.vcproj.yaml and librtmManipulator.vcproj.yaml.
[compat,bugfix,->RELENG_1_2] Modified cmakeconfgen.py

[compat,bugfix,->RELENG_1_2] Modified librtmCamera.vcproj.yaml and librtmManipulator.vcproj.yaml.
[compat,bugfix,->RELENG_1_2] Modified librtmCamera.vcproj.yaml and librtmManipulator.vcproj.yaml.
[compat,bugfix,->RELENG_1_2] Modified cmakeconfgen.py

[build,->RELENG_1_2] Update mbedtls include path (2.4.1->2.4.2)

oo

#1 -2017/02/01 18:09 - n.kawauchi
-00dooooboooooooo
-0000000 O RELEASE_1 2 00000
-000 0 o000 100000

e 120140 00000000000ODOOO

e LinuxdOOQO

set(OPENRTM_LIBRARIESO pthread rtmCamerall rtmManipulatorll omniORB40 omnithread) omniDynamic4 RTCO coil)

® Windows 00O Ove20130 000

set(OPENRTM_LIBRARIESC optimized;RTC120_vc12;optimized;coil120_vc12;

0 O optimized;omniORB421_rt;optimized;omniDynamic421_rt;,optimized;omnithread40_rt;
0 O optimized;rtmCameral20_vc12;optimized;rtmManipulator120_vc12;0 0 ~0O

0 O optimized;advapi32;optimized;ws2_32;optimized;mswsock;

0 O debug;RTC120_vc12d;debug;coil120_vcl2d,;

0 O debug;omniORB421_rtd;debug;omniDynamic421_rtd;debug;omnithread40_rtd;

0 O debug;rtmCameral20_vc12d;debug;rtmManipulator120_vc12d;0 0 ~ 0O

0 O debug;advapi32;debug;ws2_32;debug;mswsock)

#2 -2017/02/06 14:17 - n.kawauchi

* r29140 configureac0 0 0 000 0000000000000
e 0000 LinuxO O OpenRTMConfig.cmakeO O OO OO OOO

set(OPENRTM_LIBRARIESO pthreadd omniORB40 omnithread] omniDynamic4 RTCO coild rtmCamerall rtmManipulator)

#3-2017/08/30 11:44 - n-ando
-00o0oooo0ooooooooo
